• 로그인지금 시작하세요

사용자의 편의를 위해 제공되는 기계 번역입니다.

영문본과 번역본이 일치하지 않는 경우 영문본이 우선합니다. 보다 자세한 내용은 이 페이지를 방문하시기 바랍니다.

문제 신고

iOS 에이전트 호환성 및 요구 사항

iOS 에이전트를 설치 및 구성 하기 전에 호환성 및 기타 요구 사항에 대한 다음 지침을 따르십시오.

포그라운드 모니터링

iOS 에이전트는 앱이 포그라운드에 있는 동안에만 앱을 모니터링합니다. 에이전트는 앱이 닫혀 있는 동안 백그라운드 서비스를 모니터링하지 않습니다. 자세한 내용은 모바일 데이터 개인 정보 보호 및 보안 문서 를 참조하십시오.

iOS 요구 사항

iOS 앱이 다음 요구 사항을 충족하는지 확인하세요.

요소

iOS 애플리케이션 요구 사항

운영 체제

iOS 9 이상

Bitcode 지원을 위해서는 SDK 버전 5.3.0 이상을 사용하십시오.

API/SDK

  • NSURLConnection 및 AFNetworking이 지원됩니다.
  • NSURLSession은 uploaddata 태그만 지원합니다.
  • ASIHttpRequest 네트워킹 API는 iOS 에이전트 버전 5.8.2부터 더 이상 사용되지 않습니다.
  • UIWebView 및 WKWebView에 대한 네트워크 트래픽이 지원됩니다. 그러나 WKWebView 전송 크기 및 Http 오류는 지원되지 않습니다.

언어

장치

모든 iOS 호환 기기: iPhone, iPad 등

파일 크기

에이전트는 플랫폼 빌드에 따라 iOS 릴리스 앱에 약 2-12MB를 추가합니다.

아키텍처

ARM 64비트.

SHA-2

데이터 수집을 위한 표준 보안 조치로 New Relic은 애플리케이션 서버가 SHA-2(256비트)를 지원해야 합니다. SHA-1은 지원되지 않습니다.

엑스코드

New Relic의 iOS 기능을 활용하려면 최신 버전의 Xcode 가 있어야 합니다.

arm64 지원

arm64e 아키텍처가 있는 장치에서 충돌을 적절하게 기호화할 수 있으려면 포인터 인증에 대해 Xcode 설정이 활성화되어 있는지 확인하십시오. 자세한 내용은 Apple 개발자 설명서 를 참조하십시오.

코코아팟

최신 XCFramework Agent를 사용하려면 CocoaPods 버전 1.10.1 이상을 사용하세요.

테스트는 지원되지 않습니다

당사 에이전트는 정상적인 앱 수명 주기에서 작동하도록 설계 및 테스트되었습니다. New Relic은 에이전트가 있는 애플리케이션에서 테스트 환경 실행을 지원하지 않습니다. 테스트는 충돌과 예측할 수 없는 동작을 유발할 수 있습니다.

잠재적인 메서드 교체 충돌

iOS 에이전트는 런타임 동안 메서드 교체를 활용합니다. 이로 인해 ReactiveCocoa, Firebase, Aspects 및 AppleGuice와 같이 메서드 교체도 구현하는 다른 라이브러리와 충돌이 발생할 수 있습니다.

Copyright © 2022 New Relic Inc.